### Method

# AppStreamCompose Result add_hint_by_cid_v

#### Declaration [src]

    gboolean
    asc_result_add_hint_by_cid_v (
      AscResult* result,
      const gchar* component_id,
      const gchar* tag,
      gchar** kv
    )

#### Description [src]

Add an issue hint for a component.

This method is renamed to `asc_result_add_hint_by_cid()` in language bindings.

#### Parameters

`component_id`

  Type: `const gchar*`

  The component-ID of the affected `AsComponent`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`tag`

  Type: `const gchar*`

  AppStream Compose Issue hint tag.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`kv`

  Type: `gchar**`

  List of key-value pairs for replacement variables.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the added hint did not cause the component to be invalidated.